IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network176.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
- Network address
176.0.0.0- Broadcast address
191.255.255.255- First usable
176.0.0.1- Last usable
191.255.255.254- Usable hosts
- 268,435,454 (268,435,456 less the network and broadcast addresses)
- Subnet mask
240.0.0.0- Wildcard mask
15.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /4
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
B0000000· Integer2952790016to3221225471 - Reverse DNS zones
176.in-addr.arpa177.in-addr.arpa178.in-addr.arpa179.in-addr.arpa180.in-addr.arpa181.in-addr.arpa182.in-addr.arpa183.in-addr.arpa184.in-addr.arpa185.in-addr.arpa186.in-addr.arpa187.in-addr.arpa188.in-addr.arpa189.in-addr.arpa190.in-addr.arpa191.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10110000.00000000.00000000.00000000 | 176.0.0.0 |
| Subnet mask | 11110000.00000000.00000000.00000000 | 240.0.0.0 |
| Network | 10110000.00000000.00000000.00000000 | 176.0.0.0 |
| Broadcast | 10111111.11111111.11111111.11111111 | 191.255.255.255 |
Split into smaller subnets
/5 (2)/6 (4)/7 (8)/8 (16)/9 (32)/10 (64)/11 (128)/12 (256)/13 (512)/14 (1,024)/15 (2,048)/16 (4,096)
176.0.0.0/4 makes 2,048 subnets of /15; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 176.0.0.0/15 | 176.0.0.1 to 176.1.255.254 | 176.1.255.255 | 131,070 |
| 2 | 176.2.0.0/15 | 176.2.0.1 to 176.3.255.254 | 176.3.255.255 | 131,070 |
| 3 | 176.4.0.0/15 | 176.4.0.1 to 176.5.255.254 | 176.5.255.255 | 131,070 |
| 4 | 176.6.0.0/15 | 176.6.0.1 to 176.7.255.254 | 176.7.255.255 | 131,070 |
| 5 | 176.8.0.0/15 | 176.8.0.1 to 176.9.255.254 | 176.9.255.255 | 131,070 |
| 6 | 176.10.0.0/15 | 176.10.0.1 to 176.11.255.254 | 176.11.255.255 | 131,070 |
| 7 | 176.12.0.0/15 | 176.12.0.1 to 176.13.255.254 | 176.13.255.255 | 131,070 |
| 8 | 176.14.0.0/15 | 176.14.0.1 to 176.15.255.254 | 176.15.255.255 | 131,070 |
| 9 | 176.16.0.0/15 | 176.16.0.1 to 176.17.255.254 | 176.17.255.255 | 131,070 |
| 10 | 176.18.0.0/15 | 176.18.0.1 to 176.19.255.254 | 176.19.255.255 | 131,070 |
| 11 | 176.20.0.0/15 | 176.20.0.1 to 176.21.255.254 | 176.21.255.255 | 131,070 |
| 12 | 176.22.0.0/15 | 176.22.0.1 to 176.23.255.254 | 176.23.255.255 | 131,070 |
| 13 | 176.24.0.0/15 | 176.24.0.1 to 176.25.255.254 | 176.25.255.255 | 131,070 |
| 14 | 176.26.0.0/15 | 176.26.0.1 to 176.27.255.254 | 176.27.255.255 | 131,070 |
| 15 | 176.28.0.0/15 | 176.28.0.1 to 176.29.255.254 | 176.29.255.255 | 131,070 |
| 16 | 176.30.0.0/15 | 176.30.0.1 to 176.31.255.254 | 176.31.255.255 | 131,070 |
| 17 | 176.32.0.0/15 | 176.32.0.1 to 176.33.255.254 | 176.33.255.255 | 131,070 |
| 18 | 176.34.0.0/15 | 176.34.0.1 to 176.35.255.254 | 176.35.255.255 | 131,070 |
| 19 | 176.36.0.0/15 | 176.36.0.1 to 176.37.255.254 | 176.37.255.255 | 131,070 |
| 20 | 176.38.0.0/15 | 176.38.0.1 to 176.39.255.254 | 176.39.255.255 | 131,070 |
| 21 | 176.40.0.0/15 | 176.40.0.1 to 176.41.255.254 | 176.41.255.255 | 131,070 |
| 22 | 176.42.0.0/15 | 176.42.0.1 to 176.43.255.254 | 176.43.255.255 | 131,070 |
| 23 | 176.44.0.0/15 | 176.44.0.1 to 176.45.255.254 | 176.45.255.255 | 131,070 |
| 24 | 176.46.0.0/15 | 176.46.0.1 to 176.47.255.254 | 176.47.255.255 | 131,070 |
| 25 | 176.48.0.0/15 | 176.48.0.1 to 176.49.255.254 | 176.49.255.255 | 131,070 |
| 26 | 176.50.0.0/15 | 176.50.0.1 to 176.51.255.254 | 176.51.255.255 | 131,070 |
| 27 | 176.52.0.0/15 | 176.52.0.1 to 176.53.255.254 | 176.53.255.255 | 131,070 |
| 28 | 176.54.0.0/15 | 176.54.0.1 to 176.55.255.254 | 176.55.255.255 | 131,070 |
| 29 | 176.56.0.0/15 | 176.56.0.1 to 176.57.255.254 | 176.57.255.255 | 131,070 |
| 30 | 176.58.0.0/15 | 176.58.0.1 to 176.59.255.254 | 176.59.255.255 | 131,070 |
| 31 | 176.60.0.0/15 | 176.60.0.1 to 176.61.255.254 | 176.61.255.255 | 131,070 |
| 32 | 176.62.0.0/15 | 176.62.0.1 to 176.63.255.254 | 176.63.255.255 | 131,070 |
| 33 | 176.64.0.0/15 | 176.64.0.1 to 176.65.255.254 | 176.65.255.255 | 131,070 |
| 34 | 176.66.0.0/15 | 176.66.0.1 to 176.67.255.254 | 176.67.255.255 | 131,070 |
| 35 | 176.68.0.0/15 | 176.68.0.1 to 176.69.255.254 | 176.69.255.255 | 131,070 |
| 36 | 176.70.0.0/15 | 176.70.0.1 to 176.71.255.254 | 176.71.255.255 | 131,070 |
| 37 | 176.72.0.0/15 | 176.72.0.1 to 176.73.255.254 | 176.73.255.255 | 131,070 |
| 38 | 176.74.0.0/15 | 176.74.0.1 to 176.75.255.254 | 176.75.255.255 | 131,070 |
| 39 | 176.76.0.0/15 | 176.76.0.1 to 176.77.255.254 | 176.77.255.255 | 131,070 |
| 40 | 176.78.0.0/15 | 176.78.0.1 to 176.79.255.254 | 176.79.255.255 | 131,070 |
| 41 | 176.80.0.0/15 | 176.80.0.1 to 176.81.255.254 | 176.81.255.255 | 131,070 |
| 42 | 176.82.0.0/15 | 176.82.0.1 to 176.83.255.254 | 176.83.255.255 | 131,070 |
| 43 | 176.84.0.0/15 | 176.84.0.1 to 176.85.255.254 | 176.85.255.255 | 131,070 |
| 44 | 176.86.0.0/15 | 176.86.0.1 to 176.87.255.254 | 176.87.255.255 | 131,070 |
| 45 | 176.88.0.0/15 | 176.88.0.1 to 176.89.255.254 | 176.89.255.255 | 131,070 |
| 46 | 176.90.0.0/15 | 176.90.0.1 to 176.91.255.254 | 176.91.255.255 | 131,070 |
| 47 | 176.92.0.0/15 | 176.92.0.1 to 176.93.255.254 | 176.93.255.255 | 131,070 |
| 48 | 176.94.0.0/15 | 176.94.0.1 to 176.95.255.254 | 176.95.255.255 | 131,070 |
| 49 | 176.96.0.0/15 | 176.96.0.1 to 176.97.255.254 | 176.97.255.255 | 131,070 |
| 50 | 176.98.0.0/15 | 176.98.0.1 to 176.99.255.254 | 176.99.255.255 | 131,070 |
| 51 | 176.100.0.0/15 | 176.100.0.1 to 176.101.255.254 | 176.101.255.255 | 131,070 |
| 52 | 176.102.0.0/15 | 176.102.0.1 to 176.103.255.254 | 176.103.255.255 | 131,070 |
| 53 | 176.104.0.0/15 | 176.104.0.1 to 176.105.255.254 | 176.105.255.255 | 131,070 |
| 54 | 176.106.0.0/15 | 176.106.0.1 to 176.107.255.254 | 176.107.255.255 | 131,070 |
| 55 | 176.108.0.0/15 | 176.108.0.1 to 176.109.255.254 | 176.109.255.255 | 131,070 |
| 56 | 176.110.0.0/15 | 176.110.0.1 to 176.111.255.254 | 176.111.255.255 | 131,070 |
| 57 | 176.112.0.0/15 | 176.112.0.1 to 176.113.255.254 | 176.113.255.255 | 131,070 |
| 58 | 176.114.0.0/15 | 176.114.0.1 to 176.115.255.254 | 176.115.255.255 | 131,070 |
| 59 | 176.116.0.0/15 | 176.116.0.1 to 176.117.255.254 | 176.117.255.255 | 131,070 |
| 60 | 176.118.0.0/15 | 176.118.0.1 to 176.119.255.254 | 176.119.255.255 | 131,070 |
| 61 | 176.120.0.0/15 | 176.120.0.1 to 176.121.255.254 | 176.121.255.255 | 131,070 |
| 62 | 176.122.0.0/15 | 176.122.0.1 to 176.123.255.254 | 176.123.255.255 | 131,070 |
| 63 | 176.124.0.0/15 | 176.124.0.1 to 176.125.255.254 | 176.125.255.255 | 131,070 |
| 64 | 176.126.0.0/15 | 176.126.0.1 to 176.127.255.254 | 176.127.255.255 | 131,070 |
| 65 | 176.128.0.0/15 | 176.128.0.1 to 176.129.255.254 | 176.129.255.255 | 131,070 |
| 66 | 176.130.0.0/15 | 176.130.0.1 to 176.131.255.254 | 176.131.255.255 | 131,070 |
| 67 | 176.132.0.0/15 | 176.132.0.1 to 176.133.255.254 | 176.133.255.255 | 131,070 |
| 68 | 176.134.0.0/15 | 176.134.0.1 to 176.135.255.254 | 176.135.255.255 | 131,070 |
| 69 | 176.136.0.0/15 | 176.136.0.1 to 176.137.255.254 | 176.137.255.255 | 131,070 |
| 70 | 176.138.0.0/15 | 176.138.0.1 to 176.139.255.254 | 176.139.255.255 | 131,070 |
| 71 | 176.140.0.0/15 | 176.140.0.1 to 176.141.255.254 | 176.141.255.255 | 131,070 |
| 72 | 176.142.0.0/15 | 176.142.0.1 to 176.143.255.254 | 176.143.255.255 | 131,070 |
| 73 | 176.144.0.0/15 | 176.144.0.1 to 176.145.255.254 | 176.145.255.255 | 131,070 |
| 74 | 176.146.0.0/15 | 176.146.0.1 to 176.147.255.254 | 176.147.255.255 | 131,070 |
| 75 | 176.148.0.0/15 | 176.148.0.1 to 176.149.255.254 | 176.149.255.255 | 131,070 |
| 76 | 176.150.0.0/15 | 176.150.0.1 to 176.151.255.254 | 176.151.255.255 | 131,070 |
| 77 | 176.152.0.0/15 | 176.152.0.1 to 176.153.255.254 | 176.153.255.255 | 131,070 |
| 78 | 176.154.0.0/15 | 176.154.0.1 to 176.155.255.254 | 176.155.255.255 | 131,070 |
| 79 | 176.156.0.0/15 | 176.156.0.1 to 176.157.255.254 | 176.157.255.255 | 131,070 |
| 80 | 176.158.0.0/15 | 176.158.0.1 to 176.159.255.254 | 176.159.255.255 | 131,070 |
| 81 | 176.160.0.0/15 | 176.160.0.1 to 176.161.255.254 | 176.161.255.255 | 131,070 |
| 82 | 176.162.0.0/15 | 176.162.0.1 to 176.163.255.254 | 176.163.255.255 | 131,070 |
| 83 | 176.164.0.0/15 | 176.164.0.1 to 176.165.255.254 | 176.165.255.255 | 131,070 |
| 84 | 176.166.0.0/15 | 176.166.0.1 to 176.167.255.254 | 176.167.255.255 | 131,070 |
| 85 | 176.168.0.0/15 | 176.168.0.1 to 176.169.255.254 | 176.169.255.255 | 131,070 |
| 86 | 176.170.0.0/15 | 176.170.0.1 to 176.171.255.254 | 176.171.255.255 | 131,070 |
| 87 | 176.172.0.0/15 | 176.172.0.1 to 176.173.255.254 | 176.173.255.255 | 131,070 |
| 88 | 176.174.0.0/15 | 176.174.0.1 to 176.175.255.254 | 176.175.255.255 | 131,070 |
| 89 | 176.176.0.0/15 | 176.176.0.1 to 176.177.255.254 | 176.177.255.255 | 131,070 |
| 90 | 176.178.0.0/15 | 176.178.0.1 to 176.179.255.254 | 176.179.255.255 | 131,070 |
| 91 | 176.180.0.0/15 | 176.180.0.1 to 176.181.255.254 | 176.181.255.255 | 131,070 |
| 92 | 176.182.0.0/15 | 176.182.0.1 to 176.183.255.254 | 176.183.255.255 | 131,070 |
| 93 | 176.184.0.0/15 | 176.184.0.1 to 176.185.255.254 | 176.185.255.255 | 131,070 |
| 94 | 176.186.0.0/15 | 176.186.0.1 to 176.187.255.254 | 176.187.255.255 | 131,070 |
| 95 | 176.188.0.0/15 | 176.188.0.1 to 176.189.255.254 | 176.189.255.255 | 131,070 |
| 96 | 176.190.0.0/15 | 176.190.0.1 to 176.191.255.254 | 176.191.255.255 | 131,070 |
| 97 | 176.192.0.0/15 | 176.192.0.1 to 176.193.255.254 | 176.193.255.255 | 131,070 |
| 98 | 176.194.0.0/15 | 176.194.0.1 to 176.195.255.254 | 176.195.255.255 | 131,070 |
| 99 | 176.196.0.0/15 | 176.196.0.1 to 176.197.255.254 | 176.197.255.255 | 131,070 |
| 100 | 176.198.0.0/15 | 176.198.0.1 to 176.199.255.254 | 176.199.255.255 | 131,070 |
| 101 | 176.200.0.0/15 | 176.200.0.1 to 176.201.255.254 | 176.201.255.255 | 131,070 |
| 102 | 176.202.0.0/15 | 176.202.0.1 to 176.203.255.254 | 176.203.255.255 | 131,070 |
| 103 | 176.204.0.0/15 | 176.204.0.1 to 176.205.255.254 | 176.205.255.255 | 131,070 |
| 104 | 176.206.0.0/15 | 176.206.0.1 to 176.207.255.254 | 176.207.255.255 | 131,070 |
| 105 | 176.208.0.0/15 | 176.208.0.1 to 176.209.255.254 | 176.209.255.255 | 131,070 |
| 106 | 176.210.0.0/15 | 176.210.0.1 to 176.211.255.254 | 176.211.255.255 | 131,070 |
| 107 | 176.212.0.0/15 | 176.212.0.1 to 176.213.255.254 | 176.213.255.255 | 131,070 |
| 108 | 176.214.0.0/15 | 176.214.0.1 to 176.215.255.254 | 176.215.255.255 | 131,070 |
| 109 | 176.216.0.0/15 | 176.216.0.1 to 176.217.255.254 | 176.217.255.255 | 131,070 |
| 110 | 176.218.0.0/15 | 176.218.0.1 to 176.219.255.254 | 176.219.255.255 | 131,070 |
| 111 | 176.220.0.0/15 | 176.220.0.1 to 176.221.255.254 | 176.221.255.255 | 131,070 |
| 112 | 176.222.0.0/15 | 176.222.0.1 to 176.223.255.254 | 176.223.255.255 | 131,070 |
| 113 | 176.224.0.0/15 | 176.224.0.1 to 176.225.255.254 | 176.225.255.255 | 131,070 |
| 114 | 176.226.0.0/15 | 176.226.0.1 to 176.227.255.254 | 176.227.255.255 | 131,070 |
| 115 | 176.228.0.0/15 | 176.228.0.1 to 176.229.255.254 | 176.229.255.255 | 131,070 |
| 116 | 176.230.0.0/15 | 176.230.0.1 to 176.231.255.254 | 176.231.255.255 | 131,070 |
| 117 | 176.232.0.0/15 | 176.232.0.1 to 176.233.255.254 | 176.233.255.255 | 131,070 |
| 118 | 176.234.0.0/15 | 176.234.0.1 to 176.235.255.254 | 176.235.255.255 | 131,070 |
| 119 | 176.236.0.0/15 | 176.236.0.1 to 176.237.255.254 | 176.237.255.255 | 131,070 |
| 120 | 176.238.0.0/15 | 176.238.0.1 to 176.239.255.254 | 176.239.255.255 | 131,070 |
| 121 | 176.240.0.0/15 | 176.240.0.1 to 176.241.255.254 | 176.241.255.255 | 131,070 |
| 122 | 176.242.0.0/15 | 176.242.0.1 to 176.243.255.254 | 176.243.255.255 | 131,070 |
| 123 | 176.244.0.0/15 | 176.244.0.1 to 176.245.255.254 | 176.245.255.255 | 131,070 |
| 124 | 176.246.0.0/15 | 176.246.0.1 to 176.247.255.254 | 176.247.255.255 | 131,070 |
| 125 | 176.248.0.0/15 | 176.248.0.1 to 176.249.255.254 | 176.249.255.255 | 131,070 |
| 126 | 176.250.0.0/15 | 176.250.0.1 to 176.251.255.254 | 176.251.255.255 | 131,070 |
| 127 | 176.252.0.0/15 | 176.252.0.1 to 176.253.255.254 | 176.253.255.255 | 131,070 |
| 128 | 176.254.0.0/15 | 176.254.0.1 to 176.255.255.254 | 176.255.255.255 | 131,070 |
| 129 | 177.0.0.0/15 | 177.0.0.1 to 177.1.255.254 | 177.1.255.255 | 131,070 |
| 130 | 177.2.0.0/15 | 177.2.0.1 to 177.3.255.254 | 177.3.255.255 | 131,070 |
| 131 | 177.4.0.0/15 | 177.4.0.1 to 177.5.255.254 | 177.5.255.255 | 131,070 |
| 132 | 177.6.0.0/15 | 177.6.0.1 to 177.7.255.254 | 177.7.255.255 | 131,070 |
| 133 | 177.8.0.0/15 | 177.8.0.1 to 177.9.255.254 | 177.9.255.255 | 131,070 |
| 134 | 177.10.0.0/15 | 177.10.0.1 to 177.11.255.254 | 177.11.255.255 | 131,070 |
| 135 | 177.12.0.0/15 | 177.12.0.1 to 177.13.255.254 | 177.13.255.255 | 131,070 |
| 136 | 177.14.0.0/15 | 177.14.0.1 to 177.15.255.254 | 177.15.255.255 | 131,070 |
| 137 | 177.16.0.0/15 | 177.16.0.1 to 177.17.255.254 | 177.17.255.255 | 131,070 |
| 138 | 177.18.0.0/15 | 177.18.0.1 to 177.19.255.254 | 177.19.255.255 | 131,070 |
| 139 | 177.20.0.0/15 | 177.20.0.1 to 177.21.255.254 | 177.21.255.255 | 131,070 |
| 140 | 177.22.0.0/15 | 177.22.0.1 to 177.23.255.254 | 177.23.255.255 | 131,070 |
| 141 | 177.24.0.0/15 | 177.24.0.1 to 177.25.255.254 | 177.25.255.255 | 131,070 |
| 142 | 177.26.0.0/15 | 177.26.0.1 to 177.27.255.254 | 177.27.255.255 | 131,070 |
| 143 | 177.28.0.0/15 | 177.28.0.1 to 177.29.255.254 | 177.29.255.255 | 131,070 |
| 144 | 177.30.0.0/15 | 177.30.0.1 to 177.31.255.254 | 177.31.255.255 | 131,070 |
| 145 | 177.32.0.0/15 | 177.32.0.1 to 177.33.255.254 | 177.33.255.255 | 131,070 |
| 146 | 177.34.0.0/15 | 177.34.0.1 to 177.35.255.254 | 177.35.255.255 | 131,070 |
| 147 | 177.36.0.0/15 | 177.36.0.1 to 177.37.255.254 | 177.37.255.255 | 131,070 |
| 148 | 177.38.0.0/15 | 177.38.0.1 to 177.39.255.254 | 177.39.255.255 | 131,070 |
| 149 | 177.40.0.0/15 | 177.40.0.1 to 177.41.255.254 | 177.41.255.255 | 131,070 |
| 150 | 177.42.0.0/15 | 177.42.0.1 to 177.43.255.254 | 177.43.255.255 | 131,070 |
| 151 | 177.44.0.0/15 | 177.44.0.1 to 177.45.255.254 | 177.45.255.255 | 131,070 |
| 152 | 177.46.0.0/15 | 177.46.0.1 to 177.47.255.254 | 177.47.255.255 | 131,070 |
| 153 | 177.48.0.0/15 | 177.48.0.1 to 177.49.255.254 | 177.49.255.255 | 131,070 |
| 154 | 177.50.0.0/15 | 177.50.0.1 to 177.51.255.254 | 177.51.255.255 | 131,070 |
| 155 | 177.52.0.0/15 | 177.52.0.1 to 177.53.255.254 | 177.53.255.255 | 131,070 |
| 156 | 177.54.0.0/15 | 177.54.0.1 to 177.55.255.254 | 177.55.255.255 | 131,070 |
| 157 | 177.56.0.0/15 | 177.56.0.1 to 177.57.255.254 | 177.57.255.255 | 131,070 |
| 158 | 177.58.0.0/15 | 177.58.0.1 to 177.59.255.254 | 177.59.255.255 | 131,070 |
| 159 | 177.60.0.0/15 | 177.60.0.1 to 177.61.255.254 | 177.61.255.255 | 131,070 |
| 160 | 177.62.0.0/15 | 177.62.0.1 to 177.63.255.254 | 177.63.255.255 | 131,070 |
| 161 | 177.64.0.0/15 | 177.64.0.1 to 177.65.255.254 | 177.65.255.255 | 131,070 |
| 162 | 177.66.0.0/15 | 177.66.0.1 to 177.67.255.254 | 177.67.255.255 | 131,070 |
| 163 | 177.68.0.0/15 | 177.68.0.1 to 177.69.255.254 | 177.69.255.255 | 131,070 |
| 164 | 177.70.0.0/15 | 177.70.0.1 to 177.71.255.254 | 177.71.255.255 | 131,070 |
| 165 | 177.72.0.0/15 | 177.72.0.1 to 177.73.255.254 | 177.73.255.255 | 131,070 |
| 166 | 177.74.0.0/15 | 177.74.0.1 to 177.75.255.254 | 177.75.255.255 | 131,070 |
| 167 | 177.76.0.0/15 | 177.76.0.1 to 177.77.255.254 | 177.77.255.255 | 131,070 |
| 168 | 177.78.0.0/15 | 177.78.0.1 to 177.79.255.254 | 177.79.255.255 | 131,070 |
| 169 | 177.80.0.0/15 | 177.80.0.1 to 177.81.255.254 | 177.81.255.255 | 131,070 |
| 170 | 177.82.0.0/15 | 177.82.0.1 to 177.83.255.254 | 177.83.255.255 | 131,070 |
| 171 | 177.84.0.0/15 | 177.84.0.1 to 177.85.255.254 | 177.85.255.255 | 131,070 |
| 172 | 177.86.0.0/15 | 177.86.0.1 to 177.87.255.254 | 177.87.255.255 | 131,070 |
| 173 | 177.88.0.0/15 | 177.88.0.1 to 177.89.255.254 | 177.89.255.255 | 131,070 |
| 174 | 177.90.0.0/15 | 177.90.0.1 to 177.91.255.254 | 177.91.255.255 | 131,070 |
| 175 | 177.92.0.0/15 | 177.92.0.1 to 177.93.255.254 | 177.93.255.255 | 131,070 |
| 176 | 177.94.0.0/15 | 177.94.0.1 to 177.95.255.254 | 177.95.255.255 | 131,070 |
| 177 | 177.96.0.0/15 | 177.96.0.1 to 177.97.255.254 | 177.97.255.255 | 131,070 |
| 178 | 177.98.0.0/15 | 177.98.0.1 to 177.99.255.254 | 177.99.255.255 | 131,070 |
| 179 | 177.100.0.0/15 | 177.100.0.1 to 177.101.255.254 | 177.101.255.255 | 131,070 |
| 180 | 177.102.0.0/15 | 177.102.0.1 to 177.103.255.254 | 177.103.255.255 | 131,070 |
| 181 | 177.104.0.0/15 | 177.104.0.1 to 177.105.255.254 | 177.105.255.255 | 131,070 |
| 182 | 177.106.0.0/15 | 177.106.0.1 to 177.107.255.254 | 177.107.255.255 | 131,070 |
| 183 | 177.108.0.0/15 | 177.108.0.1 to 177.109.255.254 | 177.109.255.255 | 131,070 |
| 184 | 177.110.0.0/15 | 177.110.0.1 to 177.111.255.254 | 177.111.255.255 | 131,070 |
| 185 | 177.112.0.0/15 | 177.112.0.1 to 177.113.255.254 | 177.113.255.255 | 131,070 |
| 186 | 177.114.0.0/15 | 177.114.0.1 to 177.115.255.254 | 177.115.255.255 | 131,070 |
| 187 | 177.116.0.0/15 | 177.116.0.1 to 177.117.255.254 | 177.117.255.255 | 131,070 |
| 188 | 177.118.0.0/15 | 177.118.0.1 to 177.119.255.254 | 177.119.255.255 | 131,070 |
| 189 | 177.120.0.0/15 | 177.120.0.1 to 177.121.255.254 | 177.121.255.255 | 131,070 |
| 190 | 177.122.0.0/15 | 177.122.0.1 to 177.123.255.254 | 177.123.255.255 | 131,070 |
| 191 | 177.124.0.0/15 | 177.124.0.1 to 177.125.255.254 | 177.125.255.255 | 131,070 |
| 192 | 177.126.0.0/15 | 177.126.0.1 to 177.127.255.254 | 177.127.255.255 | 131,070 |
| 193 | 177.128.0.0/15 | 177.128.0.1 to 177.129.255.254 | 177.129.255.255 | 131,070 |
| 194 | 177.130.0.0/15 | 177.130.0.1 to 177.131.255.254 | 177.131.255.255 | 131,070 |
| 195 | 177.132.0.0/15 | 177.132.0.1 to 177.133.255.254 | 177.133.255.255 | 131,070 |
| 196 | 177.134.0.0/15 | 177.134.0.1 to 177.135.255.254 | 177.135.255.255 | 131,070 |
| 197 | 177.136.0.0/15 | 177.136.0.1 to 177.137.255.254 | 177.137.255.255 | 131,070 |
| 198 | 177.138.0.0/15 | 177.138.0.1 to 177.139.255.254 | 177.139.255.255 | 131,070 |
| 199 | 177.140.0.0/15 | 177.140.0.1 to 177.141.255.254 | 177.141.255.255 | 131,070 |
| 200 | 177.142.0.0/15 | 177.142.0.1 to 177.143.255.254 | 177.143.255.255 | 131,070 |
| 201 | 177.144.0.0/15 | 177.144.0.1 to 177.145.255.254 | 177.145.255.255 | 131,070 |
| 202 | 177.146.0.0/15 | 177.146.0.1 to 177.147.255.254 | 177.147.255.255 | 131,070 |
| 203 | 177.148.0.0/15 | 177.148.0.1 to 177.149.255.254 | 177.149.255.255 | 131,070 |
| 204 | 177.150.0.0/15 | 177.150.0.1 to 177.151.255.254 | 177.151.255.255 | 131,070 |
| 205 | 177.152.0.0/15 | 177.152.0.1 to 177.153.255.254 | 177.153.255.255 | 131,070 |
| 206 | 177.154.0.0/15 | 177.154.0.1 to 177.155.255.254 | 177.155.255.255 | 131,070 |
| 207 | 177.156.0.0/15 | 177.156.0.1 to 177.157.255.254 | 177.157.255.255 | 131,070 |
| 208 | 177.158.0.0/15 | 177.158.0.1 to 177.159.255.254 | 177.159.255.255 | 131,070 |
| 209 | 177.160.0.0/15 | 177.160.0.1 to 177.161.255.254 | 177.161.255.255 | 131,070 |
| 210 | 177.162.0.0/15 | 177.162.0.1 to 177.163.255.254 | 177.163.255.255 | 131,070 |
| 211 | 177.164.0.0/15 | 177.164.0.1 to 177.165.255.254 | 177.165.255.255 | 131,070 |
| 212 | 177.166.0.0/15 | 177.166.0.1 to 177.167.255.254 | 177.167.255.255 | 131,070 |
| 213 | 177.168.0.0/15 | 177.168.0.1 to 177.169.255.254 | 177.169.255.255 | 131,070 |
| 214 | 177.170.0.0/15 | 177.170.0.1 to 177.171.255.254 | 177.171.255.255 | 131,070 |
| 215 | 177.172.0.0/15 | 177.172.0.1 to 177.173.255.254 | 177.173.255.255 | 131,070 |
| 216 | 177.174.0.0/15 | 177.174.0.1 to 177.175.255.254 | 177.175.255.255 | 131,070 |
| 217 | 177.176.0.0/15 | 177.176.0.1 to 177.177.255.254 | 177.177.255.255 | 131,070 |
| 218 | 177.178.0.0/15 | 177.178.0.1 to 177.179.255.254 | 177.179.255.255 | 131,070 |
| 219 | 177.180.0.0/15 | 177.180.0.1 to 177.181.255.254 | 177.181.255.255 | 131,070 |
| 220 | 177.182.0.0/15 | 177.182.0.1 to 177.183.255.254 | 177.183.255.255 | 131,070 |
| 221 | 177.184.0.0/15 | 177.184.0.1 to 177.185.255.254 | 177.185.255.255 | 131,070 |
| 222 | 177.186.0.0/15 | 177.186.0.1 to 177.187.255.254 | 177.187.255.255 | 131,070 |
| 223 | 177.188.0.0/15 | 177.188.0.1 to 177.189.255.254 | 177.189.255.255 | 131,070 |
| 224 | 177.190.0.0/15 | 177.190.0.1 to 177.191.255.254 | 177.191.255.255 | 131,070 |
| 225 | 177.192.0.0/15 | 177.192.0.1 to 177.193.255.254 | 177.193.255.255 | 131,070 |
| 226 | 177.194.0.0/15 | 177.194.0.1 to 177.195.255.254 | 177.195.255.255 | 131,070 |
| 227 | 177.196.0.0/15 | 177.196.0.1 to 177.197.255.254 | 177.197.255.255 | 131,070 |
| 228 | 177.198.0.0/15 | 177.198.0.1 to 177.199.255.254 | 177.199.255.255 | 131,070 |
| 229 | 177.200.0.0/15 | 177.200.0.1 to 177.201.255.254 | 177.201.255.255 | 131,070 |
| 230 | 177.202.0.0/15 | 177.202.0.1 to 177.203.255.254 | 177.203.255.255 | 131,070 |
| 231 | 177.204.0.0/15 | 177.204.0.1 to 177.205.255.254 | 177.205.255.255 | 131,070 |
| 232 | 177.206.0.0/15 | 177.206.0.1 to 177.207.255.254 | 177.207.255.255 | 131,070 |
| 233 | 177.208.0.0/15 | 177.208.0.1 to 177.209.255.254 | 177.209.255.255 | 131,070 |
| 234 | 177.210.0.0/15 | 177.210.0.1 to 177.211.255.254 | 177.211.255.255 | 131,070 |
| 235 | 177.212.0.0/15 | 177.212.0.1 to 177.213.255.254 | 177.213.255.255 | 131,070 |
| 236 | 177.214.0.0/15 | 177.214.0.1 to 177.215.255.254 | 177.215.255.255 | 131,070 |
| 237 | 177.216.0.0/15 | 177.216.0.1 to 177.217.255.254 | 177.217.255.255 | 131,070 |
| 238 | 177.218.0.0/15 | 177.218.0.1 to 177.219.255.254 | 177.219.255.255 | 131,070 |
| 239 | 177.220.0.0/15 | 177.220.0.1 to 177.221.255.254 | 177.221.255.255 | 131,070 |
| 240 | 177.222.0.0/15 | 177.222.0.1 to 177.223.255.254 | 177.223.255.255 | 131,070 |
| 241 | 177.224.0.0/15 | 177.224.0.1 to 177.225.255.254 | 177.225.255.255 | 131,070 |
| 242 | 177.226.0.0/15 | 177.226.0.1 to 177.227.255.254 | 177.227.255.255 | 131,070 |
| 243 | 177.228.0.0/15 | 177.228.0.1 to 177.229.255.254 | 177.229.255.255 | 131,070 |
| 244 | 177.230.0.0/15 | 177.230.0.1 to 177.231.255.254 | 177.231.255.255 | 131,070 |
| 245 | 177.232.0.0/15 | 177.232.0.1 to 177.233.255.254 | 177.233.255.255 | 131,070 |
| 246 | 177.234.0.0/15 | 177.234.0.1 to 177.235.255.254 | 177.235.255.255 | 131,070 |
| 247 | 177.236.0.0/15 | 177.236.0.1 to 177.237.255.254 | 177.237.255.255 | 131,070 |
| 248 | 177.238.0.0/15 | 177.238.0.1 to 177.239.255.254 | 177.239.255.255 | 131,070 |
| 249 | 177.240.0.0/15 | 177.240.0.1 to 177.241.255.254 | 177.241.255.255 | 131,070 |
| 250 | 177.242.0.0/15 | 177.242.0.1 to 177.243.255.254 | 177.243.255.255 | 131,070 |
| 251 | 177.244.0.0/15 | 177.244.0.1 to 177.245.255.254 | 177.245.255.255 | 131,070 |
| 252 | 177.246.0.0/15 | 177.246.0.1 to 177.247.255.254 | 177.247.255.255 | 131,070 |
| 253 | 177.248.0.0/15 | 177.248.0.1 to 177.249.255.254 | 177.249.255.255 | 131,070 |
| 254 | 177.250.0.0/15 | 177.250.0.1 to 177.251.255.254 | 177.251.255.255 | 131,070 |
| 255 | 177.252.0.0/15 | 177.252.0.1 to 177.253.255.254 | 177.253.255.255 | 131,070 |
| 256 | 177.254.0.0/15 | 177.254.0.1 to 177.255.255.254 | 177.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |